#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	rngd
#-----------------------------------------------------------------------------
Name		:	rng-tools
Version		:	6.16
Release		:	16.2.0.rel%{?dist}
Summary		:	Random number generator related utilities
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/nhorman/rng-tools

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	curl
BuildRequires	:	jansson
BuildRequires	:	libxml2
BuildRequires	:	libp11
BuildRequires	:	openssl-devel
BuildRequires	:	sysfsutils-devel

Requires	:	lfs-bootscripts
Requires	:	chkconfig
#-----------------------------------------------------------------------------
%description
Hardware random number generation tools.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%attr (0754,root,root) %{_sysconfdir}/rc.d/init.d/%{sname}
%config(noreplace) %{_sysconfdir}/sysconfig/%{sname}
%dir %{_var}/lock/subsys
%{_bindir}/randstat
%{_bindir}/rngtest
%{_sbindir}/rngd
%{_mandir}/man1/rngtest.1.gz
%{_mandir}/man8/rngd.8.gz

#-----------------------------------------------------------------------------
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{sname} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{sname}
  fi

%post
/sbin/chkconfig --add %{sname}
/sbin/chkconfig %{sname} on
%{_sysconfdir}/rc.d/init.d/%{sname} condrestart > /dev/null 2>&1 || :

%postun
if [ "$1" = 0 ]; then
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--without-rtlsdr				\
	--with-libgcrypt				\
	--with-pkcs11 					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#installing rngd starting/stopping script
%{__mkdir_p}						\
	%{buildroot}%{_sysconfdir}/rc.d/init.d		\
	%{buildroot}%{_sysconfdir}/sysconfig		\
	%{buildroot}%{_var}/lock/subsys

%{__cp} -a 						\
	%{name}-ok_addon/%{sname}			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

%{__cp} -a 						\
	%{name}-ok_addon/%{sname}.sysconfig		\
	%{buildroot}%{_sysconfdir}/sysconfig/%{sname}

#-----------------------------------------------------------------------------
%changelog
